bitel.billing.server.contract.bean

## Class CommentPatternManager

- java.lang.Object
- - bitel.billing.server.contract.bean.CommentPatternManager

-     public class CommentPatternManager
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CommentPatternManager(java.sql.Connection connection)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.List<java.lang.Integer>` | `getCidsByPatternId(int patid)` Возвращает список договоров, у которых установлен определенный шаблон комментариев
    `java.lang.String` | `transformValueToComment(int patternId, int contractId)` Преобразует значения параметров договора в комментарий к договору в соответствии с шаблоном комментария
    `void` | `updateContractComment(int cid)` Обновляет комментарий договора в соответствии с шаблоном

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CommentPatternManager

          public CommentPatternManager(java.sql.Connection connection)

  - ### Method Detail

    - #### getCidsByPatternId

          public java.util.List<java.lang.Integer> getCidsByPatternId(int patid)
                                                               throws java.sql.SQLException

      Возвращает список договоров, у которых установлен определенный шаблон комментариев
      Parameters:
        `patid` - код шаблона
      Returns:
      Throws:
        `java.sql.SQLException`

    - #### updateContractComment

          public void updateContractComment(int cid)
                                     throws java.sql.SQLException

      Обновляет комментарий договора в соответствии с шаблоном
      Parameters:
        `cid` - ID договора
      Throws:
        `java.sql.SQLException`

    - #### transformValueToComment

          public java.lang.String transformValueToComment(int patternId,
                                                          int contractId)
                                                   throws java.sql.SQLException

      Преобразует значения параметров договора в комментарий к договору в соответствии с шаблоном комментария
      Parameters:
        `patternId` - код шаблона
        `contractId` - код договора
      Returns:
        готовый комментарий к договору
      Throws:
        `java.sql.SQLException`